Subject: bug#33678: Locale problems

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 8 Dec 2018 23:59:06 +0100

On Sat, Dec 08, 2018 at 10:35:51PM +0100, Danny Milosavljevic wrote:
> Can we do something against the locale problems that keep showing up
> when updating?
> 
> Right now, after a half-finished update from guix master (half-finished because
> once any package build breaks, the entire update will stop), I cannot use any
> Umlauts because "xterm -u8" stops working as it should:
> $ xterm -u8
> Warning: locale not supported by C library, locale unchanged
> $
> 
> Why does this keep happening?  Shouldn't the functional nature and modularity
> of Guix keep using the old locales where those make sense and the new locales
> where those make sense?
> 
> Environment:
> 
> $ locale -a
> locale: Cannot set LC_CTYPE to default locale: No such file or directory
> locale: Cannot set LC_MESSAGES to default locale: No such file or directory
> locale: Cannot set LC_COLLATE to default locale: No such file or directory

Is this only on foreign distros?  I cannot reproduce this in a Guix VM.

These errors occurred for me on the foreign distro Debian also for
Debian commands like localectl because the locale command was taken
from a glibc in root’s guix profile.  I uninstalled the glibc package
and now Debian’s locale commands work again.  `strace locale` made it
seem like the directory for the de_DE.UTF-8 locale was never checked
by the locale program, only de_DE.utf8 and others, which apparently
are not what Debian uses.

Regards,
Florian